Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Botan::TLS::Server_Hello::Settings Class Reference

`#include <tls_messages.h>`

## Public Member Functions
uint16_t | ciphersuite () const
uint8_t | compression () const
bool | offer_session_ticket () const
Protocol_Version | protocol_version () const
const std::vector< uint8_t > & | session_id () const
| Settings (const std::vector< uint8_t > new_session_id, Protocol_Version new_session_version, uint16_t ciphersuite, uint8_t compression, bool offer_session_ticket)

## Detailed Description

Definition at line 258 of file tls_messages.h.

## Constructor & Destructor Documentation

Botan::TLS::Server_Hello::Settings::Settings | ( | const std::vector< uint8_t > | new_session_id,
|  | Protocol_Version | new_session_version,
|  | uint16_t | ciphersuite,
|  | uint8_t | compression,
|  | bool | offer_session_ticket
| ) |  |
| inline

Definition at line 261 of file tls_messages.h.

266 : m_new_session_id(new_session_id),
267 m_new_session_version(new_session_version),
268 m_ciphersuite(ciphersuite),
269 m_compression(compression),
270 m_offer_session_ticket(offer_session_ticket) {}
Botan::TLS::Server_Hello::Settings::compression
uint8_t compression() const
Definition: tls_messages.h:275
Botan::TLS::Server_Hello::Settings::offer_session_ticket
bool offer_session_ticket() const
Definition: tls_messages.h:276
Botan::TLS::Server_Hello::Settings::ciphersuite
uint16_t ciphersuite() const
Definition: tls_messages.h:274

## Member Function Documentation

uint16_t Botan::TLS::Server_Hello::Settings::ciphersuite | ( |  | ) | const
| inline

Definition at line 274 of file tls_messages.h.

274 { return m_ciphersuite; }

uint8_t Botan::TLS::Server_Hello::Settings::compression | ( |  | ) | const
| inline

Definition at line 275 of file tls_messages.h.

275 { return m_compression; }

bool Botan::TLS::Server_Hello::Settings::offer_session_ticket | ( |  | ) | const
| inline

Definition at line 276 of file tls_messages.h.

Referenced by Botan::TLS::Server_Hello::Server_Hello().

276 { return m_offer_session_ticket; }

Protocol_Version Botan::TLS::Server_Hello::Settings::protocol_version | ( |  | ) | const
| inline

Definition at line 273 of file tls_messages.h.

273 { return m_new_session_version; }

const std::vector<uint8_t>& Botan::TLS::Server_Hello::Settings::session_id | ( |  | ) | const
| inline

Definition at line 272 of file tls_messages.h.

272 { return m_new_session_id; }

The documentation for this class was generated from the following file:

- src/lib/tls/tls_messages.h